<?php
class TypeVehicule {
    private $conn;
    private $table_name = "type_vehicule";

    public function __construct($db) {
        $this->conn = $db;
    }

    public function getAll() {
        $query = "SELECT id, libelle FROM " . $this->table_name . " ORDER BY libelle ASC";
        $stmt = $this->conn->prepare($query);
        $stmt->execute();
        return $stmt;
    }
}
?>